:root {
    /* Space */
    --main-bg-color: #0D2226; /* match with index.html to prevent flash */
    /* Sidebar */
    --sidebar-text-color: #FFFFFF;
    --sidebar-text-color-secondary: #CCCCCC;
    --sidebar-text-color-tertiary: #999999;
    --input-text-color: #810f7c;
    /* Nodes */
    --node-text-color: #FFFFFF;
    --node-text-color-secondary: #CCCCCC;
    --node-text-color-tertiary: #999999;
    --node-border-color-idle: rgba(0, 0, 0, 0.3);
    --node-border-color-active: rgba(0, 0, 0, 0.3);
    --node-error-color: #DD4444;
}

/* node styling examples, should distinct colors per facet be desired */


/* content type: Person */
.stratum-person .openable-node .node-label-count::after,
.category-node.node-content_type[data-facet-value="Person"] .node-label-count::after {
  content: ' 👤';
}
.stratum-person .openable-node .node-shape,
.category-node.node-content_type[data-facet-value="Person"] .node-shape {
  background: linear-gradient(#006EEB, #00428F);
}
.stratum-person .category-node.openable-node.hover .node-shape,
.category-node.hover.node-content_type[data-facet-value="Person"] .node-shape {
  background: #006EEB;
}
.stratum-person .entity-node .node-shape {
  /* relative to node color: cielab lightness -10 */
  background: linear-gradient(#0055cc, #002c74);
}
.context-card.content-type-person {
  background-color: linear-gradient(#006EEB, #00428F);
  background-image: url('./images/Ann_of_Swansea_by_William_Watkeys_1835.jpg');
  background-size: cover;
  background-position: 50% 30%; /* bring out the eyes */
}

/* content type: Group */
.stratum-group .openable-node .node-label-count::after,
.category-node.node-content_type[data-facet-value="Group"] .node-label-count::after {
  content: ' 👥';
}
.stratum-group .openable-node .node-shape,
.category-node.node-content_type[data-facet-value="Group"] .node-shape {
  background: linear-gradient(#006EEB, #00428F);
}
.stratum-group .category-node.openable-node.hover .node-shape,
.category-node.hover.node-content_type[data-facet-value="Group"] .node-shape {
  background: #006EEB;
}
.stratum-group .entity-node .node-shape {
  /* relative to node color: cielab lightness -10 */
  background: linear-gradient(#0055cc, #002c74);
}
.context-card.content-type-group {
  background-color: linear-gradient(#006EEB, #00428F);
  background-image: url('./images/social_groups_800px.jpg');
  background-size: cover;
  background-position: center;
}

/* content type: Place */
.stratum-place .openable-node .node-label-count::after,
.category-node.node-content_type[data-facet-value="Place"] .node-label-count::after {
  content: ' 📍';
}
.stratum-place .openable-node .node-shape,
.category-node.node-content_type[data-facet-value="Place"] .node-shape {
  background: linear-gradient(#1C6050, #15483C);
}
.stratum-place .category-node.openable-node.hover .node-shape,
.category-node.hover.node-content_type[data-facet-value="Place"] .node-shape {
  background: linear-gradient(#589384, #3C7367);
}
.stratum-place .entity-node .node-shape {
  /* relative to node color: cielab lightness -10 */
  background: linear-gradient(#004738, #003126);
}
.context-card.content-type-place {
  background-color: linear-gradient(#1C6050, #15483C);
  background-image: url('./images/AshtonHouse_Devon_ByJohnSwete_1794_800px.jpg');
  background-size: cover;
  background-position: center;
}


/* content type: Thing */
.stratum-thing .openable-node .node-label-count::after,
.category-node.node-content_type[data-facet-value="Thing"] .node-label-count::after {
  content: ' 📖';
}
.stratum-thing .openable-node .node-shape,
.category-node.node-content_type[data-facet-value="Thing"] .node-shape {
  background: linear-gradient(#2A882E, #08450A);
}
.stratum-thing .category-node.openable-node.hover .node-shape,
.category-node.hover.node-content_type[data-facet-value="Thing"] .node-shape {
  background: #2A882E;
}
.stratum-thing .entity-node .node-shape {
  /* relative to node color:  cielab lightness -10 */
  background: linear-gradient(#006e14, #002e00);
}
.context-card.content-type-thing {
  background-color: linear-gradient(#2A882E, #08450A);
  background-image: url('./images/creative_works_800px.jpg');
  background-size: cover;
  background-position: center;
}


/* visited nodes */
.category-node.openable-node.visited-node .node-shape {
  /* invert lightness direction for concave effect: dark to light */
  background: linear-gradient(#531dab, #722ed1);
}
.category-node.openable-node.visited-node.hover .node-shape {
  background: #722ed1;
}
